RDKit: RDKit::v2::FileParsers::MolFileParserParams Struct Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Attributes | List of all members
RDKit::v2::FileParsers::MolFileParserParams Struct Reference

`#include <FileParsers.h>`

## Public Attributes
bool | sanitize = true
bool | removeHs = true
bool | strictParsing = true
bool | expandAttachmentPoints
bool | parsingSCSRMol = false

## Detailed Description

Definition at line 47 of file FileParsers.h.

## Member Data Documentation

## ◆ expandAttachmentPoints

bool RDKit::v2::FileParsers::MolFileParserParams::expandAttachmentPoints

Initial value:
=
false

toggle conversion of attachment points into dummy atoms

Definition at line 52 of file FileParsers.h.

## ◆ parsingSCSRMol

bool RDKit::v2::FileParsers::MolFileParserParams::parsingSCSRMol = false

if true, we are parsing a SCSR mol file

Definition at line 54 of file FileParsers.h.

## ◆ removeHs

bool RDKit::v2::FileParsers::MolFileParserParams::removeHs = true

remove Hs after constructing the molecule

Definition at line 49 of file FileParsers.h.

Referenced by RDKit::FileParserUtils::finishMolProcessing(), RDKit::v1::ForwardSDMolSupplier::ForwardSDMolSupplier(), RDKit::v1::SDMolSupplier::SDMolSupplier(), RDKit::v1::SDMolSupplier::SDMolSupplier(), RDKit::v1::SDMolSupplier::setData(), and RDKit::v1::SDMolSupplier::setData().

## ◆ sanitize

bool RDKit::v2::FileParsers::MolFileParserParams::sanitize = true

sanitize the molecule after building it

Definition at line 48 of file FileParsers.h.

Referenced by RDKit::FileParserUtils::finishMolProcessing(), RDKit::v1::ForwardSDMolSupplier::ForwardSDMolSupplier(), RDKit::v1::SDMolSupplier::SDMolSupplier(), RDKit::v1::SDMolSupplier::SDMolSupplier(), RDKit::v1::SDMolSupplier::setData(), and RDKit::v1::SDMolSupplier::setData().

## ◆ strictParsing

bool RDKit::v2::FileParsers::MolFileParserParams::strictParsing = true

if set to false, the parser is more lax about correctness of the contents.

Definition at line 50 of file FileParsers.h.

Referenced by RDKit::v1::ForwardSDMolSupplier::ForwardSDMolSupplier(), RDKit::v1::SDMolSupplier::SDMolSupplier(), RDKit::v1::SDMolSupplier::SDMolSupplier(), and RDKit::v1::SDMolSupplier::setData().

The documentation for this struct was generated from the following file:

- FileParsers.h